if not bashmatic.death.event then
    cecho("<firebrick>BASHMATIC: You must configure the death trigger first. Please see bm help for more info.")
else
    if bashmatic.enemies.group then
        -- grouping enemies by area
        local area = GetRoomAreaName(GetRoomArea(GetPlayerRoom())) or nil
        if area == nil then
            cecho("<firebrick>BASHMATIC: We tried to add that enemy but got a bad area.\nGot: " .. area .. "<reset>")
        else
            inlineAddTarget(matches[2], area)
        end
    else
        -- not grouping by area
        inlineAddTarget(matches[2], nil)
    end
end