local which = matches[2]:lower()

if which == "phrase" then
    -- death phrase
    if Bashmatic.death.event ~= nil then
        killTrigger(Bashmatic.death.event)
    end
    Bashmatic.death.phrase = matches[2]
    Bashmatic.death.event = tempTrigger(Bashmatic.death.phrase,handleMobDeath)     
    cecho("<DarkSlateBlue>Bashmatic: Reset the death event trigger phrase to " .. matches[2] .. ".<reset>")
elseif which == "start" then
    -- starting battle command
    Bashmatic.commands.start = matches[2]
    cecho("<DarkSlateBlue>Bashmatic: Set battle start command to " .. matches[2] .. " target.<reset>")
elseif which == "before" then
    -- before battle command
    Bashmatic.commands.before = matches[2]
    cecho("<DarkSlateBlue>Bashmatic: Will send " .. matches[2] .. " before battle start.<reset>")
elseif which == "during" then
    -- during battle command
    Bashmatic.comands.during = matches[2]
    cecho("<DarkSlateBlue>Bashmatic: Will send " .. matches[2] .. " during battle every " .. Bashmatic.commands.duringTime .. " seconds.<reset>")
elseif which == "duringTime" then
    -- during battle command time frame
    Bashmatic.commands.duringTime = tonumber(mathces[2])
    cecho("<DarkSlateBlue>Bashmatic: Will send " .. Bashmatic.commands.during .. " during battle every " .. tonumber(matches[2]) .. " seconds.<reset>")
elseif which == "after" then
    -- after battle command
    Bashmatic.commands.after = matches[2]
    cecho("<DarkSlateBlue>Bashmatic: Will send " .. matches[2] .. " after combat.<reset>")
elseif which == "group" then
    -- group by area
    if #getRooms() == 0 then
        Bashmatic.enemies.group = false
        cecho("<firebrick>Bashmatic: No map detected. Did you make one? You need at least one room to use this feature.<reset>")
    else
        Bashmatic.enemies.group = not Bashmatic.enemies.group
        if Bashmatic.enemies.group then
            -- we've just turned on enemy grouping
            Bashmatic.enemies.targets = {}
            cecho("<DarkSlateBlue>Bashmatic: Now grouping enemies by areas. Cleared previous enemies.<reset>")
        else
            -- we've just turned off enemy grouping
            squashTargetGroups()
            cecho("<DarkSlateBlue>Bashmatic: No longer grouping enemies by areas. Squashed previous enemies into one large table.\nYou can bm clear to erase them.<reset>")
        end
    end
else
    cecho("<firebrick>Bashmatic: Unrecognized option " .. matches[2] .. ". See bm help for a list of options.")
end